%define     faad_date	20040923

Summary:    C library and frontend for decoding MPEG2/4 AAC
Name:       faad2
Version:    2.0
Release:    1
License:    GPL
Group:      Applications/Multimedia
Source0:    http://download.videolan.org/pub/videolan/testing/contrib/%{name}-%{faad_date}.tar.bz2
Patch:      faad2.patch
BuildRequires: autoconf, automake, libtool, gcc-c++
URL:        http://www.audiocoding.com/
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root
Packager:   a.kurpiers@nt.tu-darmstadt.de

%description
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder, completely
written from scratch. FAAD 2 is licensed under the GPL.

Includes libmp4ff, a Quicktime library for UNIX in a freely redistributable,
statically linkable library.

%package devel
Summary: Development libraries the FAAD 2 AAC decoder.
Group: Development/Libraries
Requires: %{name}

%description devel
Header files and development documentation for libfaad.

%prep
%setup -n %{name}-%{faad_date}
%patch -p0

%build
./bootstrap
./configure --host=${HOST} --build=${BUILD} --prefix=${PREFIX} CFLAGS="-O3"
sed -i.orig "s/shrext_cmds/shrext/g" libtool 
make -C libfaad 
make DESTDIR="$RPM_BUILD_ROOT" -C libfaad install

%install
rm -rf %{buildroot}
LIBRARY_PATH="%{buildroot}/usr/lib:${LIBRARY_PATH}" make DESTDIR="$RPM_BUILD_ROOT" -C libfaad install
# Hack to work around a problem with DESTDIR in libtool 1.4.x
#LIBRARY_PATH="%{buildroot}/usr/lib:${LIBRARY_PATH}" make install DESTDIR=%{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/libfaad.so*

%files devel
%defattr(-, root, root)
%{_libdir}/libfaad.a
%{_libdir}/libfaad.la
%{_includedir}/faad.h
%{_includedir}/neaacdec.h

%changelog
* Fri Jul 14 2006 Jean-Paul Saman <jpsaman@videolan.org>
- Remove xmms and Quicktime from the depedencies. These are not used by VLC.
- This RPM build is primarily for use with VLC.

* Fri Feb 06 2004 Alexander Kurpiers <a.kurpiers@nt.tu-darmstadt.de>
- remove seperate libmp4ff target

* Wed Nov 05 2003 Alexander Kurpiers <a.kurpiers@nt.tu-darmstadt.de>
- include xmms plugins/libmp4v2/libmp4ff into RPM

* Tue Aug 12 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.0rc1.
- Introduced LD_LIBRARY_PATH workaround.
- Removed optional xmms plugin build, it seems mandatory now.
- Added gtk+ build dep for the xmms plugin.

* Wed May 14 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added xmms plugin build.

* Wed Apr  9 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup.
- Now exclude .la file.
- Update to latest CVS checkout to fix compile problem.


* Fri Aug 10 2002 Alexander Kurpiers <a.kurpiers@nt.tu-darmstadt.de>
- changes to compile v1.1 release

* Tue Jun 18 2002 Alexander Kurpiers <a.kurpiers@nt.tu-darmstadt.de>
- First RPM.

