Summary: Live555 provides RTP/RTCP, RTSP, SIP multimedia streaming libraries
Name: live555
Version: 2006.07.04
Release: 1
License: GPL
URL: http://live555.com
Group: System/Libraries
Source: http://live555.com/liveMedia/public/%{name}.%{version}.tar.gz
Patch0: live.patch
Patch1: livedotcom-win32.patch
#Patch2: live-osx.patch
BuildRoot: %_tmppath/%{name}-%{version}-%{release}-root
BuildRequires: sed

%package devel
Summary: Development tools, libraries and headerfiles for live555 RTP/RTCP, RTSP, SIP multimedia streaming library.
Group:   Development/C
Provides: %{name}-devel = %{version}-cvs-%{release}
Requires: %{name} = %{version}-%{release}

%description
This code forms a set of C++ libraries for multimedia streaming, using open standard protocols (RTP/RTCP, RTSP, SIP). These libraries - which can be compiled for Unix (including Linux and Mac OS X), Windows, and QNX (and other POSIX-compliant systems) - can be used to build streaming applications. The libraries are already being used to implement applications such as "liveCaster" and "playRTPMPEG" (for streaming MP3 audio using RTP/RTCP), and "vobStreamer" (for streaming DVD content using RTP/RTCP/RTSP). The libraries can also be used to stream, receive, and process MPEG, H.263+ or JPEG video, and several audio codecs. They can easily be extended to support additional (audio and/or video) codecs, and can also be used to build basic RTSP or SIP clients and servers, and have been used to add streaming support to existing media player applications, such as "VLC" and "MPlayer"

%description devel
Development headers and libraries for live555 multimedia streaming.

%prep
%setup -n live
%patch0 -p1
%patch1 -p1
#%patch2 -p1

%build
#sed -e 's/=/= EXTRA_CPPFLAGS/' -e "s%EXTRA_CPPFLAGS%-I/include%" -i.orig groupsock/Makefile.head
./genMakefiles linux
CFLAGS="$RPM_OPT_FLAGS" make

%install
mkdir -p $RPM_BUILD_ROOT/usr/include/live555
mkdir -p $RPM_BUILD_ROOT/usr/lib/live555
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/live555
# copy headerfiles
cp -r liveMedia/include $RPM_BUILD_ROOT/usr/include/live555
cp -r groupsock/include $RPM_BUILD_ROOT/usr/include/live555
cp -r UsageEnvironment/include $RPM_BUILD_ROOT/usr/include/live555
cp -r BasicUsageEnvironment/include $RPM_BUILD_ROOT/usr/include/live555
# copy documentation
cp -r COPYING README $RPM_BUILD_ROOT/usr/share/doc/live555
# copy libraries
cp liveMedia/libliveMedia.a $RPM_BUILD_ROOT/usr/lib/live555/
cp groupsock/libgroupsock.a $RPM_BUILD_ROOT/usr/lib/live555/
cp UsageEnvironment/libUsageEnvironment.a $RPM_BUILD_ROOT/usr/lib/live555/
cp BasicUsageEnvironment/libBasicUsageEnvironment.a $RPM_BUILD_ROOT/usr/lib/live555/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README
%dir /usr/share/doc/live555
/usr/share/doc/live555/COPYING
/usr/share/doc/live555/README

%files devel
%defattr(-,root,root)
%dir /usr/lib/live555
%dir /usr/include/live555
/usr/lib/live555/*
/usr/include/live555/*

%changelog
* Thu Jul 19 2006 Jean-Paul Saman <jpsaman@videolan.org> 
- start new specfile.
