Summary: The MPEG4IP project provides a standards-based system for encoding, streaming, and playing encoded audio, video and text
Name: mpeg4ip
Version: 1.4.1
Release: 1
Group: Multimedia/Video
License: LGPL, MPL, GPL
URL: http;//www.sf.net/mpeg4ip
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-root

%prep
%setup

%build
rm -fr $RPM_BUILD_ROOT
./bootstrap
./configure --prefix=${PREFIX} --enable-shared
make -C lib
make -C util
#make -C player
#make -C server

%install
rm -fr $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT -C lib install
make DESTDIR=$RPM_BUILD_ROOT -C util install
#make DESTDIR=$RPM_BUILD_ROOT -C player install
#make DESTDIR=$RPM_BUILD_ROOT -C server install
make DESTDIR=$RPM_BUILD_ROOT install-includeHEADERS
cp include/*.h $RPM_BUILD_ROOT/usr/include/

%clean
rm -fr $RPM_BUILD_ROOT

%description
The MPEG4IP project provides a standards-based system for encoding,
streaming, and playing encoded audio, video and text. To achieve
this we've integrated a number of existing open source packages, and
 created some original code to fill in the gaps.

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING FEATURES.html NEWS README README_FIRST README.html TODO
/usr/bin/h264_parse
/usr/bin/mp4art
/usr/bin/mp4dump
/usr/bin/mp4extract
/usr/bin/mp4info
/usr/bin/mp4tags
/usr/bin/mp4trackdump
/usr/bin/mp4videoinfo
/usr/bin/mpeg2video_parse
/usr/bin/mpeg4vol
/usr/bin/mpeg_ps_extract
/usr/bin/mpeg_ps_info
/usr/bin/sdl_pcm_play
/usr/bin/yuvdump
/usr/lib/libismacryp.so
/usr/lib/libismacryp.so.0
/usr/lib/libismacryp.so.0.0.0
/usr/lib/libmp4.so
/usr/lib/libmp4.so.0
/usr/lib/libmp4.so.0.0.0
/usr/lib/libmp4av.so
/usr/lib/libmp4av.so.0
/usr/lib/libmp4av.so.0.0.0
/usr/lib/libmp4v2.so
/usr/lib/libmp4v2.so.0
/usr/lib/libmp4v2.so.0.0.0
/usr/lib/libmpeg4ipSDL-1.2.so.0
/usr/lib/libmpeg4ipSDL-1.2.so.0.7.1
/usr/lib/libmpeg4ipSDL.so
/usr/lib/libmpeg4ip_fposrec.so
/usr/lib/libmpeg4ip_fposrec.so.0
/usr/lib/libmpeg4ip_fposrec.so.0.0.0
/usr/lib/libmpeg4ip_gnu.so
/usr/lib/libmpeg4ip_gnu.so.0
/usr/lib/libmpeg4ip_gnu.so.0.0.0
/usr/lib/libmsg_queue.so
/usr/lib/libmsg_queue.so.0
/usr/lib/libmsg_queue.so.0.0.0
/usr/lib/libsdp.so
/usr/lib/libsdp.so.0
/usr/lib/libsdp.so.0.0.0

%package devel
Summary: MPEG4IP development headers and libraries.
Group: System/Libraries
Provides: %{name}-devel = %{version}-%{release}

%description devel
The MPEG4IP project provides a standards-based system for encoding,
streaming, and playing encoded audio, video and text. To achieve
this we've integrated a number of existing open source packages, and
 created some original code to fill in the gaps.

%files devel
%defattr(-,root,root)
/usr/include/mp4.h
/usr/include/mp4av.h
/usr/include/mp4av_aac.h
/usr/include/mp4av_ac3.h
/usr/include/mp4av_adts.h
/usr/include/mp4av_amr.h
/usr/include/mp4av_audio.h
/usr/include/mp4av_h264.h
/usr/include/mp4av_hinters.h
/usr/include/mp4av_mp3.h
/usr/include/mp4av_mpeg3.h
/usr/include/mp4av_mpeg4.h
/usr/include/mpeg4ip.h
/usr/include/mpeg4ip_bitstream.h
/usr/include/mpeg4ip_config_set.h
/usr/include/mpeg4ip_byteswap.h
/usr/include/mpeg4ip_getopt.h
/usr/include/mpeg4ip_sdl_includes.h
/usr/include/mpeg4ip_win32.h
/usr/include/mpeg4ip_config.h
/usr/include/mpeg4ip_version.h
/usr/include/sdp.h
/usr/include/sdp_error.h
/usr/lib/libismacryp.a
/usr/lib/libismacryp.la
/usr/lib/libmp4.a
/usr/lib/libmp4.la
/usr/lib/libmp4av.a
/usr/lib/libmp4av.la
/usr/lib/libmp4v2.a
/usr/lib/libmp4v2.la
/usr/lib/libmpeg4ipSDL.a
/usr/lib/libmpeg4ipSDL.la
/usr/lib/libmpeg4ip_fposrec.a
/usr/lib/libmpeg4ip_fposrec.la
/usr/lib/libmpeg4ip_gnu.a
/usr/lib/libmpeg4ip_gnu.la
/usr/lib/libmsg_queue.a
/usr/lib/libmsg_queue.la
/usr/lib/libsdp.a
/usr/lib/libsdp.la

%changelog
* Sun Aug 13 2006 Jean-Paul Saman <jpsaman@videolan.org>
- start new specfile.

